## org.eclipse.emf.codegen
Class CodeGen.PlatformRunnable

    java.lang.Object
      org.eclipse.emf.codegen.CodeGen.PlatformRunnable

All Implemented Interfaces:
  IApplication

Enclosing class:
  CodeGen

    public static class CodeGen.PlatformRunnable

extends java.lang.Object
implements IApplication

Field Summary

Fields inherited from interface org.eclipse.equinox.app.IApplication
`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

Constructor Summary
`CodeGen.PlatformRunnable()`

Method Summary
`java.lang.Object` `run(java.lang.Object object)` This is called with the command line arguments of a headless workbench invocation.
`static java.lang.Object` `runHelper(java.lang.Object object)`
`java.lang.Object` `start(IApplicationContext context)`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodeGen.PlatformRunnable

    public CodeGen.PlatformRunnable()

Method Detail

### run

    public java.lang.Object run(java.lang.Object object)

  This is called with the command line arguments of a headless workbench invocation.

### start

    public java.lang.Object start(IApplicationContext context)
                           throws java.lang.Exception

  Specified by:
    `start` in interface `IApplication`
  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Specified by:
    `stop` in interface `IApplication`

### runHelper

    public static java.lang.Object runHelper(java.lang.Object object)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.